package cn.yyxx.eyuangame.core.impl

import android.content.Context

/**
 * @author #Suyghur.
 * Created on 2021/06/09
 */
class SdkDrive {

    init {
        System.loadLibrary("eyuangame")
    }

    external fun initSdkDrive(context: Context)

    external fun setParam(key: String, value: String)

    external fun getParam(key: String): String

    external fun invokeJob(context: Context, key: String, data: String): String

    external fun parseJob(context: Context, key: String, data: String): String

    external fun getComm(context: Context): String

    companion object {
        val instance: SdkDrive by lazy(mode = LazyThreadSafetyMode.SYNCHRONIZED) {
            SdkDrive()
        }
    }
}